Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.rendezvous
Interface EphemeralDB<Identifier,HighIdentifier>

All Known Implementing Classes:
  EphemeralDBImpl

    public interface EphemeralDB<Identifier,HighIdentifier>

Keeps track of tags, ephemeral identifiers, timestamps, highIdentifiers

Author:
  Jeff Hoye

Field Summary
`static long` | `NO_TAG`

Method Summary
`Identifier` | `getEphemeral(HighIdentifier high)` Get the valid Identifier for this highIdentifier
`Identifier` | `getEphemeral(long tag, Identifier i)` Return a current valid Identifier for the tag, otherwise, return the default identifier only a getter
`long` | `getTagForEphemeral(Identifier addr)` Get the existing tag, or make a new one if needed
`void` | `mapHighToTag(HighIdentifier high, long tag)` Tell the DB that the high identifier points to this tag

Field Detail

### NO_TAG

    static final long NO_TAG

See Also:
  Constant Field Values

Method Detail

### getTagForEphemeral

    long getTagForEphemeral(Identifier addr)

  Get the existing tag, or make a new one if needed

  Parameters:
    `addr` -
  Returns:

### getEphemeral

    Identifier getEphemeral(long tag,
                            Identifier i)

  Return a current valid Identifier for the tag, otherwise, return the default identifier only a getter

  Parameters:
    `tag` -
    `i` - the default identifier
  Returns:

### mapHighToTag

    void mapHighToTag(HighIdentifier high,
                      long tag)

  Tell the DB that the high identifier points to this tag

  Parameters:
    `high` -
    `tag` -

### getEphemeral

    Identifier getEphemeral(HighIdentifier high)

  Get the valid Identifier for this highIdentifier

  Parameters:
    `high` -
  Returns:
    null if there isn't a valid one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.